Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.binxml
Class BinXMLProcessorFactory

`java.lang.Object
oracle.xml.binxml.BinXMLProcessorFactory`

      public class BinXMLProcessorFactory

extends java.lang.Object

Factory class to create a BinXMLProcessor object

Method Summary
`static BinXMLProcessor` `createProcessor()` Factory method to create a BinXMLProcessor, metadata info is stored in local cache.
`static BinXMLProcessor` `createProcessor(BinXMLMetadataProvider rep)` Factory method to create a BinXMLProcessor based on a metadata repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createProcessor

    public static BinXMLProcessor createProcessor(BinXMLMetadataProvider rep)
                                           throws BinXMLException

  Factory method to create a BinXMLProcessor based on a metadata repository. Users can plug in their own metadata repository that defines the MetadataProvider interface. The DBMetadataProvider implementation to use the Oracle database as a metadata storage repository is available as part of this package. If a non-database repository is needed the user will need to define their own.
  Parameters:
    `rep` - - metdata provider implementation
  Throws:
    `BinXMLException`

### createProcessor

    public static BinXMLProcessor createProcessor()

  Factory method to create a BinXMLProcessor, metadata info is stored in local cache.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.